//-----------------------------------------------------------------------------
///
/// \brief  Just a simple ADC
///
///         ...
///
/// \date   20160131
/// \author Maximilian Seesslen <mes@seesslen.net>
///
//-----------------------------------------------------------------------------


//---Includes------------------------------------------------------------------


//---Own------------------------------

#include <biwak/adc.hpp>
#include <biwak/linux/boardgui.h>


//---Implementation------------------------------------------------------------


int adcKeeper;
int adcValue=5678;

/// \brief  Le contructeur
///
CAdc::CAdc( const SAdcConfig &configData )
   //:m_configData(configData)
{
   return;
}


CAdc::~CAdc()
{
   return;
}


// For information about the corresponding pins hav a look at the MCUs
// Datasheet, chapter " Pinouts and pin description"
int CAdc::switchChannel( EAdcChannel channel )
{
   int sta=0;

   currentChannel=channel;

   return(sta);
}

void CAdc::addChannel( EAdcChannel channel )
{

}

/*
temperature_t CAdc::updateTemperature()
{
   m_temperature=2100;

   return( m_temperature );
}
*/

int CAdc::accuireAdcValue()
{
   return(adcValue);
}

int CAdc::getAdcValue()
{
   int value=adcValue;
   /*
   if(&qpf)
         value=qpf.getAdc(currentChannel);
   */
   return( value );
}

void CAdc::setAdcValue( int value)
{
   adcValue=value;
   return;
}


//---fin-----------------------------------------------------------------------
